## org.apache.axis.deployment.wsdd
Class WSDDProvider

    java.lang.Object
      org.apache.axis.deployment.wsdd.WSDDProvider

Direct Known Subclasses:
  WSDDBsfProvider, WSDDComProvider, WSDDHandlerProvider, WSDDJavaCORBAProvider, WSDDJavaEJBProvider, WSDDJavaMsgProvider, WSDDJavaRMIProvider, WSDDJavaRPCProvider

public abstract class WSDDProvider
extends java.lang.Object

WSDD provider element Represents the liason to the application being exposed as a Web Service. Specific provider extension classes must be registered by namespace URI.

Author:
  James Snell, Vishy Kasar

Field Summary
`protected static org.apache.commons.logging.Log` `log`

Constructor Summary
`WSDDProvider()`

Method Summary
`static Handler` `getInstance(QName providerType, WSDDService service, EngineConfiguration registry)`
`abstract java.lang.String` `getName()`
`WSDDOperation` `getOperation(java.lang.String name)`
`WSDDOperation[]` `getOperations()`
`abstract Handler` `newProviderInstance(WSDDService service, EngineConfiguration registry)`
`static void` `registerProvider(QName uri, WSDDProvider prov)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

Constructor Detail

### WSDDProvider

    public WSDDProvider()

Method Detail

### registerProvider

    public static void registerProvider(QName uri,
                                        WSDDProvider prov)

  Parameters:
    `uri` - XXX
    `prov` - XXX

### getOperations

    public WSDDOperation[] getOperations()

  Returns:
    XXX

### getOperation

    public WSDDOperation getOperation(java.lang.String name)

  Parameters:
    `name` - XXX
  Returns:
    XXX

### getInstance

    public static Handler getInstance(QName providerType,
                                      WSDDService service,
                                      EngineConfiguration registry)
                               throws java.lang.Exception

  Parameters:
    `registry` - XXX
  Returns:
    XXX
  Throws:
    `java.lang.Exception` - XXX

### newProviderInstance

    public abstract Handler newProviderInstance(WSDDService service,
                                                EngineConfiguration registry)
                                         throws java.lang.Exception

  Parameters:
    `registry` - XXX
  Returns:
    XXX
  Throws:
    `java.lang.Exception` - XXX

### getName

    public abstract java.lang.String getName()

Copyright © 2005 Apache Web Services Project. All Rights Reserved.